org.red5.server.api.stream

## Interface IPlaylistSubscriberStream

All Superinterfaces:
  IClientStream, IPlaylist, IStream, ISubscriberStream

All Known Implementing Classes:
  PlaylistSubscriberStream

    public interface IPlaylistSubscriberStream
    extends ISubscriberStream, IPlaylist

IPlaylistSubscriberStream has methods of both ISubscriberStream and IPlaylist but adds nothing new

### Field Summary

### Fields inherited from interface org.red5.server.api.stream.IClientStream

`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

### Method Summary

Methods
`ScheduledThreadPoolExecutor` `getExecutor()` Returns the job executor.
`IPlaylistSubscriberStreamStatistics` `getStatistics()` Return statistics about this stream.
`void` `onChange(StreamState state, Object... changed)` Handles a change occurring on the stream.
`boolean` `replace(IPlayItem oldItem, IPlayItem newItem)` Replaces an item in the list with another item.

### Methods inherited from interface org.red5.server.api.stream.ISubscriberStream

`getState, isPaused, pause, play, receiveAudio, receiveVideo, resume, seek, setState, stop`

### Methods inherited from interface org.red5.server.api.stream.IClientStream

`getBroadcastStreamPublishName, getClientBufferDuration, getConnection, getStreamId, setClientBufferDuration`

### Methods inherited from interface org.red5.server.api.stream.IStream

`close, getCodecInfo, getCreationTime, getName, getScope, start`

### Methods inherited from interface org.red5.server.api.stream.IPlaylist

`addItem, addItem, getCurrentItem, getCurrentItemIndex, getItem, getItemSize, hasMoreItems, isRandom, isRepeat, isRewind, nextItem, previousItem, removeAllItems, removeItem, setItem, setPlaylistController, setRandom, setRepeat, setRewind`

### Method Detail

#### getStatistics

    IPlaylistSubscriberStreamStatistics getStatistics()

Return statistics about this stream.

Returns:
  statistics

#### getExecutor

    ScheduledThreadPoolExecutor getExecutor()

Returns the job executor.

Specified by:
  `getExecutor` in interface `ISubscriberStream`
Returns:
  executor

#### onChange

    void onChange(StreamState state,
                Object... changed)

Handles a change occurring on the stream.

Specified by:
  `onChange` in interface `ISubscriberStream`
Parameters:
  `state` - stream state that we are changing to or notifying of
  `changed` - changed items

#### replace

    boolean replace(IPlayItem oldItem,
                  IPlayItem newItem)

Replaces an item in the list with another item.

Parameters:
  `oldItem` -
  `newItem` -
Returns:
  true if successful and false otherwise